# Generate GitHub Installation Access Token GET /api/v1/iam/user/social/github/iat/ Generates a GitHub installation access token on demand for the authenticated user. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/user-social-github-iat-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/user/social/github/iat/: get: operationId: user-social-github-iat-retrieve summary: Generate GitHub Installation Access Token description: >- Generates a GitHub installation access token on demand for the authenticated user. tags: - subpackage_iam responses: '200': description: Installation access token generated successfully. content: application/json: schema: description: Any type '400': description: >- Bad request, e.g., GitHub social account not found or installation ID missing. content: application/json: schema: description: Any type '401': description: Unauthorized. content: application/json: schema: description: Any type '500': description: Internal server error during token generation. content: application/json: schema: description: Any type ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/user/social/github/iat/" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/user/social/github/iat/'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/user/social/github/iat/" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/user/social/github/iat/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/iam/user/social/github/iat/") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/iam/user/social/github/iat/'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/user/social/github/iat/"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/user/social/github/iat/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```